<?php

namespace Drupal\Tests\locale_deploy\TestSite;

use Drupal\language\Entity\ConfigurableLanguage;
use Drupal\TestSite\TestPreinstallInterface;
use Drupal\TestSite\TestSetupInterface;

/**
 * Setup file used by TestSiteApplicationTest.
 *
 * @see \Drupal\Tests\Scripts\TestSiteApplicationTest
 */
class TestSiteLocaleDeployInstallMultipleLanguagesTestScript implements TestSetupInterface, TestPreinstallInterface {

  /**
   * {@inheritdoc}
   */
  public function preinstall($db_prefix, $site_directory): void {
  }

  /**
   * {@inheritdoc}
   */
  public function setup(): void {
    \Drupal::service('module_installer')->install(['locale_deploy', 'potx_test']);
    // Add languages.
    ConfigurableLanguage::createFromLangcode('de')->save();
    ConfigurableLanguage::createFromLangcode('fr')->save();
    // Set the path to use a Drupal root relative path.
    \Drupal::configFactory()->getEditable('locale.settings')
      ->set('translation.path', 'translations')
      ->set('translate_english', TRUE)
      ->save();
  }

}
